<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAffiliatebonusesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: affiliatebonuses
         */
        Schema::create('affiliatebonuses', function ($table) {
            $table->increments('id');
            $table->text('team_investment')->nullable();
            $table->text('referral_count')->nullable();
            $table->text('bonus')->nullable();
            $table->text('plan_count')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('affiliatebonuses');
    }
}
